> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete VM backup

> Archives and deletes a Virtual Machine backup. Work runs asynchronously and returns 202 Accepted. Only `Ready` or `Failed` backups can be deleted, and not while a restore from the backup is in progress.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples delete /virtual_machine_backups/{id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /virtual_machine_backups/{id}:
    delete:
      tags:
        - Virtual machine backups
      summary: Delete VM backup
      description: >
        Archives and deletes a Virtual Machine backup. Work runs asynchronously
        and returns 202 Accepted. Only `Ready` or `Failed` backups can be
        deleted, and not while a restore from the backup is in progress.
      operationId: delete-virtual-machine-backup
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Accepted
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/virtual_machine_backup'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: FEATURE_NOT_ENABLED
                        message: Virtual machine backups are not enabled for this team
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
        '409':
          description: >-
            Conflict — another operation on this backup is in progress
            (`BACKUP_LOCKED`)
        '422':
          description: >-
            Unprocessable Entity — the backup is not deletable
            (`BACKUP_NOT_DELETABLE`) or a restore is in progress
            (`RESTORE_IN_PROGRESS`)
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.virtual_machine_backups.delete_virtual_machine_backup(id="<id>")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.VirtualMachineBackups.Delete(ctx, \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualMachineBackup != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.virtualMachineBackups.delete({
                id: "<id>",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    virtual_machine_backup:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/virtual_machine_backup_attributes'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    virtual_machine_backup_attributes:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_machine_backups
        attributes:
          type: object
          properties:
            status:
              type: string
              enum:
                - Creating
                - Ready
                - Failed
                - Archived
            size_bytes:
              type: integer
              nullable: true
            expires_at:
              type: string
              nullable: true
            failure_reason:
              type: string
              nullable: true
            created_at:
              type: string
            virtual_machine:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
            team:
              $ref: '#/components/schemas/team_include'
            project:
              $ref: '#/components/schemas/project_include'
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        currency:
          type: object
          properties:
            id:
              type: string
            code:
              type: string
            name:
              type: string
            currency_id:
              type: integer
              nullable: true
        status:
          type: string
          nullable: true
        feature_flags:
          type: array
          items:
            type: string
        limits:
          type: object
          properties:
            bare_metal:
              type: integer
              nullable: true
            bare_metal_gpu:
              type: integer
              nullable: true
            virtual_machine:
              type: integer
              nullable: true
            virtual_machine_gpu:
              type: integer
              nullable: true
            elastic_ip:
              type: integer
              nullable: true
            virtual_network:
              type: integer
              nullable: true
            database:
              type: integer
              nullable: true
            filesystem:
              type: integer
              nullable: true
            block_storage:
              type: integer
              nullable: true
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            databases:
              type: integer
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            storages:
              type: integer
            virtual_machines:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````